# Create Rune Mint Order

Use this endpoint to create a Rune Mint order.

{% hint style="info" %}
You can use the [Estimate Mint Order ](/api/runes/mint-rune/estimate-rune-mint-order.md)endpoint to estimate the cost of a Rune mint order before creating it.
{% endhint %}

## Quick Start

## POST /v1/runes-managed/mint/orders

> Create a batch mint order.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/mint/orders":{"post":{"tags":["Runes mint"],"description":"Create a batch mint order.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"runeName":{"type":"string"},"repeats":{"minimum":1,"type":"number"},"destinationAddress":{"type":"string"},"refundAddress":{"type":"string"},"feeRate":{"minimum":1,"type":"number"},"appServiceFee":{"minimum":0,"type":"number"},"appServiceFeeAddress":{"type":"string"}},"required":["runeName","repeats","destinationAddress","feeRate"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"orderId":{"type":"string"},"fundAddress":{"type":"string"},"fundAmount":{"type":"number"}},"required":["orderId","fundAddress","fundAmount"]}}}}}}}}}
```

{% hint style="info" %}
:free: Rune Mint Orders are **free for Xverse API customers**.\
\
For free trial users, Xverse API charges a 2,000 sats fee for every mint transaction, with a cap of 36,000 sats (equivalent to 18 mint transactions) per mint order.&#x20;
{% endhint %}

## Create Rune Mint Order - Request

You can specify the characteristics of the Rune Mint order you wish to execute, by passing a request body, with the below properties:

<table><thead><tr><th width="234.0703125">Create Mint Order - Request Body </th><th>Description</th></tr></thead><tbody><tr><td><code>runeName</code></td><td>a string representing the <a href="https://docs.ordinals.com/runes.html#name">name of the Rune </a>to mint</td></tr><tr><td><code>repeats</code></td><td>a number representing the number of mint transactions to create. Every mint transaction creates a <a href="https://docs.ordinals.com/runes.html#amount">fixed amount </a>of new units of a rune. You can use <code>repeats</code> to mint a multiple of that amount.<br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> Note that there is a 4000 repeat limit per order</td></tr><tr><td><code>refundAddress</code></td><td>The Bitcoin address to which the amount of the funding transaction should be returned, should the mint order fail.<br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> If minting Runes for your user, we recommend managing refunds on their Bitcoin <strong>payment</strong> address.</td></tr><tr><td><code>destinationAddress</code></td><td>The Bitcoin address to which the minted runes should be allocated.<br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> If minting Runes for your users, we recommend managing runes holdings on their <strong>taproot/ordinal</strong> address.</td></tr><tr><td><code>feeRate</code> </td><td>a number representing the desired fee rate to set for the Rune mint transaction(s), in sats per vbytes</td></tr><tr><td><code>appServiceFee</code> <br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a number representing the sats value of the fee to charge your user for your service. </td></tr><tr><td><code>appServiceFeeAddress</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin address which will receive the  <code>appServiceFee</code>, if a fee is specified</td></tr><tr><td><code>network</code> <br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the transaction: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr></tbody></table>

## Create Rune Mint Order - Response

A successful Create Mint Order request will:

1. Create a Runes Mint order for the Xverse API to process, identified by an `orderId`
2. Return a the below response object to your app:

<table><thead><tr><th width="229.3359375">Create Mint Order  - Response Object </th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>the ID of the Rune Mint order created by the Xverse API.</td></tr><tr><td><code>fundAddress</code> </td><td>the BTC address which will collect the funds required to <a href="/pages/XaRFHIR3kJxONzfDXbYC">execute the mint order</a>, and sign the required mint transactions to process the order.</td></tr><tr><td><code>fundAmount</code></td><td>the amount of sats to send to <code>fundAddress</code> the  before you <a href="/pages/XaRFHIR3kJxONzfDXbYC">execute the mint order</a>  <br> </td></tr></tbody></table>

## Next Step -> Fund & Execute Rune Mint Order

Once you've funded your mint order and sent the required `fundAmount` to the `fundAddress`   , you can call the [Execute Mint Order](/api/runes/mint-rune/execute-rune-mint-order.md) endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/mint-rune/create-rune-mint-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
